Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.types.v1.chap4
Class SamlTokenType

    java.lang.Object
      be.cin.types.v1.chap4.SamlTokenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:14:33+02:00",
               comments="JAXB RI v2.3.6")
    public class SamlTokenType

extends Object
implements Serializable

Java class for SamlTokenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SamlTokenType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Assertion"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SamlTokenType()`

Method Summary
`Assertion` | `getAssertion()` Gets the value of the assertion property.
`void` | `setAssertion(Assertion value)` Sets the value of the assertion property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamlTokenType

    public SamlTokenType()

Method Detail

### getAssertion

    public Assertion getAssertion()

  Gets the value of the assertion property.

  Returns:
    possible object is `Assertion`

### setAssertion

    public void setAssertion(Assertion value)

  Sets the value of the assertion property.

  Parameters:
    `value` - allowed object is `Assertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.